Skip to Content
veriom

Gate policy evaluations

GET
/v1/workspaces/{workspace_id}/architecture-intent/gates/policies/{policy_id}/evaluations

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
policy_id*Policy Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/policies/497f6eca-6276-4993-bfeb-53cbbbba6f08/evaluations'
Example Response
{  "has_more": false,  "items": [    {      "can_override": false,      "current_policy_state": "shadow",      "note": "string",      "original": {        "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",        "comparison_id": "3b27d395-1e6b-479b-baa5-81329cfca144",        "evaluated_at": "2019-08-24T14:15:22Z",        "evidence": [          {            "attributes": {              "property1": "string",              "property2": "string"            },            "content_sha256": "string",            "evidence_kind": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "location": {              "end_column": 1,              "end_line": 1,              "path": "string",              "start_column": 1,              "start_line": 1            },            "object": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "observed_at": "2019-08-24T14:15:22Z",            "provider": "string",            "relationship_kind": "string",            "source_ref": "string",            "source_type": "code",            "subject": {              "attributes": {                "property1": "string",                "property2": "string"              },              "key": "string",              "kind": "repository",              "name": "string"            },            "summary": "string"          }        ],        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "intent_content_sha256": "string",        "intent_version_id": "62989457-cfaa-4fbe-b5d4-02c9f2893753",        "observed_at": "2019-08-24T14:15:22Z",        "outcome": "holds",        "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04",        "policy_revision": 0,        "policy_state": "shadow",        "release_ref": "string",        "review_reasons": [          "string"        ],        "rules": [          {            "asset_class": "crown_jewel",            "checks": [              {                "affected_keys": [                  "string"                ],                "collection_refs": [                  "string"                ],                "detail": "string",                "evidence_ids": [                  "973ab5a6-b373-447d-ab9d-bdb660b35afc"                ],                "outcome": "holds"              }            ],            "outcome": "holds",            "rule": {              "decision_id": "string",              "key": "string",              "rule": {                "id": "string",                "predicates": [                  {                    "allowed_source_keys": [                      "string"                    ],                    "attribute": "string",                    "expected": "string",                    "key": "string",                    "kind": "entity_present",                    "relationship_kinds": [                      "string"                    ],                    "required_sources": [                      "code"                    ]                  }                ],                "title": "string"              },              "source": "invariant"            }          }        ],        "schema_version": "intent-release-gate-v1",        "scope": {          "branch_ref": "string",          "environment": "string",          "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",          "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"        },        "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",        "status": "pass",        "valid_until": "2019-08-24T14:15:22Z"      },      "override": {        "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",        "actor_name": "string",        "created_at": "2019-08-24T14:15:22Z",        "evaluation_id": "4108ec8e-6efd-4b9b-bace-0bb4c296c324",        "expires_at": "2019-08-24T14:15:22Z",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "rationale": "string",        "revocation_reason": "string",        "revoked_at": "2019-08-24T14:15:22Z",        "revoked_by_name": "string"      },      "status": "pass"    }  ],  "next_cursor": "string"}